import sqlite3

import dbpatch.options
from dbpatch.log import LogFactory
import dbpatch.connection
from dbpatch.context import Context


class SQLiteConnection(dbpatch.connection.DbApi2Connection):
    
    NAME = 'sqlite'

    def __init__(self):
        dbpatch.connection.DbApi2Connection.__init__(self)
        self._log = LogFactory().get_logger(SQLiteConnection.__name__)
        self._options = Context().options.get_options()

    def connect(self):
        self._connection = sqlite3.connect(Context().context.current_db)

    def is_single_database_engine(self):
        return True

    def get_internal_database(self):
        return self._current_db

    def get_all_databases(self):
        return Context().options.get_option(
            dbpatch.options.DATABASES).split(',')



def register():
    dbpatch.connection.ConnectionFactory.register_connection(
        SQLiteConnection)

